import { ConfigParams, MappingParams, PluginFactoryParams, PluginParametersMetadata, PluginParams } from '../types';
/**
 * Creates plugin instance according to given parameters.
 */
export declare const PluginFactory: <C = ConfigParams>(params: PluginFactoryParams<C>) => (config: C | undefined, parametersMetadata: PluginParametersMetadata, mapping: MappingParams) => {
    metadata: {
        inputs: {
            [x: string]: {
                description: string;
                unit: string;
                'aggregation-method': import("../types").AggregationOptions;
            };
        };
        outputs: import("../types").ParameterMetadata;
    };
    execute: (inputs: PluginParams[]) => Promise<{
        [x: string]: any;
    }[]>;
};
